--------------------------------------------------------------------------
--                                                                      --
--           Copyright: Copyright (C) 2000-2010 CNRS/IN2P3              --
--                                                                      --
-- Narval framework is free  software; you can redistribute  it and/or  --
-- modify  it   under  terms  of  the  GNU General  Public  License as  --
-- published  by  the  Free Software Foundation; either version  2, or  --
-- (at your option) any later version. Narval framework is distributed  --
-- in the hope  that  they will  be useful, but  WITHOUT ANY WARRANTY;  --
-- without even the implied warranty of  MERCHANTABILITY or FITNESS FOR --
-- A PARTICULAR PURPOSE. See the  GNU. General Public License for more  --
-- details. You should have received  a copy of the GNU General Public  --
-- License distributed with Narval; see file COPYING. If not, write to  --
-- the Free Software  Foundation,  Inc., 51 Franklin St,  Fifth Floor,  --
-- Boston, MA 02110-1301 USA.                                           --
--------------------------------------------------------------------------
with Interfaces;

package Uuid is

   type Uuid_Type is private;

   function Image (Uuid_Value : Uuid_Type) return String;
   procedure Uuid_Generate (Uuid_Value : out Uuid_Type);
   procedure Uuid_Generate_Random (Uuid_Value : out Uuid_Type);
   procedure Uuid_Generate_Time (Uuid_Value : out Uuid_Type);

   procedure Uuid_Clear (Uuid_Value : out Uuid_Type);

private

   type Uuid_Type is array (1 .. 16) of Interfaces.Unsigned_8;

end Uuid;
